%define upstream_name    CGI-Info
%define upstream_version 0.59

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Fetch information from the CGI System
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Autouse)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::BrowserDetect) >= 1.420.0
BuildRequires: perl(Log::Any)
BuildRequires: perl(List::Member)
BuildRequires: perl(Socket)
BuildRequires: perl(String::Clean::XSS)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(URI::Heuristic)
# For testsuite:
BuildRequires: perl(CHI)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.590.0-2.mga6
+ Revision: 1023444
- Rebuild for perl 5.22.2

* Thu Apr 21 2016 tv <tv> 0.590.0-1.mga6
+ Revision: 1003958
- new version (that pass tests)
- BR perl(CHI) for testsuite

* Mon Jan 04 2016 shlomif <shlomif> 0.580.0-1.mga6
+ Revision: 919647
- Add missing BR
- New version 0.58

* Mon Nov 09 2015 shlomif <shlomif> 0.570.0-1.mga6
+ Revision: 899905
- update to 0.57

* Sun Aug 23 2015 sander85 <sander85> 0.560.0-1.mga6
+ Revision: 868325
- update to 0.56

* Tue Jun 30 2015 shlomif <shlomif> 0.550.0-1.mga6
+ Revision: 848284
- New version 0.55

* Wed Oct 15 2014 umeabot <umeabot> 0.470.0-3.mga5
+ Revision: 744662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.470.0-2.mga5
+ Revision: 683647
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 0.470.0-1.mga5
+ Revision: 668700
- update to 0.47

* Tue Feb 04 2014 shlomif <shlomif> 0.460.0-1.mga5
+ Revision: 581026
- update to 0.46

* Sat Oct 19 2013 umeabot <umeabot> 0.450.0-2.mga4
+ Revision: 525721
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 shlomif <shlomif> 0.450.0-1.mga4
+ Revision: 434254
- New version 0.45

* Wed May 29 2013 shlomif <shlomif> 0.440.0-1.mga4
+ Revision: 432442
- update to 0.44

* Sun Jan 13 2013 umeabot <umeabot> 0.420.0-2.mga3
+ Revision: 363535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.420.0-1.mga3
+ Revision: 306063
- update to 0.42

* Mon Sep 17 2012 kharec <kharec> 0.410.0-1.mga3
+ Revision: 294893
- new CPAN version 0.41

* Mon Sep 10 2012 jquelin <jquelin> 0.400.0-1.mga3
+ Revision: 291601
- update to 0.40

* Wed Sep 05 2012 kharec <kharec> 0.390.0-1.mga3
+ Revision: 288501
- 0.39 new cpan version

* Wed Sep 05 2012 kharec <kharec> 0.380.0-1.mga3
+ Revision: 288420
- new version 0.38

* Mon Sep 03 2012 kharec <kharec> 0.360.0-1.mga3
+ Revision: 287617
- New version 0.36

* Wed Aug 29 2012 kharec <kharec> 0.350.0-1.mga3
+ Revision: 285298
- Add a BR on Test::Requires
- new version 0.35

* Mon Jun 18 2012 kharec <kharec> 0.290.0-1.mga3
+ Revision: 261453
- imported package perl-CGI-Info


* Mon Jun 18 2012 cpan2dist 0.29-1mga
- initial mageia release, generated with cpan2dist
